# Uses of Class
org.apache.wiki.parser.Heading

Packages that use Heading
Package
Description
org.apache.wiki.parser
org.apache.wiki.plugin
Provides plugins to the JSPWiki.

## Uses of Heading in org.apache.wiki.parser

Methods in org.apache.wiki.parser with parameters of type Heading
Modifier and Type
Method
Description
`void`
HeadingListener.`headingAdded(org.apache.wiki.api.core.Context context, Heading hd)`
Is called whenever a heading is encountered in the stream.
`org.jdom2.Element`
JSPWikiMarkupParser.`makeHeading(int level, String title, Heading hd)`
Returns XHTML for the heading.
`protected String`
JSPWikiMarkupParser.`makeHeadingAnchor(String baseName, String title, Heading hd)`
Modifies the "hd" parameter to contain proper values.

## Uses of Heading in org.apache.wiki.plugin

Methods in org.apache.wiki.plugin with parameters of type Heading
Modifier and Type
Method
Description
`void`
TableOfContents.`headingAdded(org.apache.wiki.api.core.Context context, Heading hd)`
Is called whenever a heading is encountered in the stream.